Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 463059 - Unapplied patch
Summary: Unapplied patch
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: classpathx-jaf
Version: 10
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Devrim Gündüz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F10FTBFS
TreeView+ depends on / blocked
 
Reported: 2008-09-21 09:35 UTC by Ville Skyttä
Modified: 2009-01-12 15:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-12 15:58:24 UTC


Attachments (Terms of Use)
Fix Patch0:/%patch mismatch (deleted)
2008-09-21 09:35 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2008-09-21 09:35:48 UTC
Created attachment 317309 [details]
Fix Patch0:/%patch mismatch

This package was identified as one that was bit by a bug in Rawhide rpm:
https://www.redhat.com/archives/fedora-devel-list/2008-September/msg00375.html

The rpm bug has been fixed, so currently this is "only" a FTBFS bug for this package - no builds with the broken rpm have apparently been done or tagged for F-10.

Fix attached, I was not able to commit it myself due to CVS ACL restrictions.

Comment 1 Devrim GUNDUZ 2008-09-24 00:38:03 UTC
Applied to -devel, pushed for build.

Comment 2 Matt Domsch 2008-10-29 02:56:15 UTC
Note, this still fails to build in koji.

http://koji.fedoraproject.org/koji/getfile?taskID=899136&name=build.log

/usr/lib/jvm/java/bin/javac -g -classpath ./classes:./source -d ./classes source/javax/activation/MimeType.java
----------
1. ERROR in source/javax/activation/MimeType.java (at line 256)
	throw new MimeTypeParseException(message, token);
	      ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
The constructor MimeTypeParseException(String, String) is undefined
----------
2. ERROR in source/javax/activation/MimeType.java (at line 261)
	throw new MimeTypeParseException(message, token);
	      ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
The constructor MimeTypeParseException(String, String) is undefined
----------
2 problems (2 errors)
make: *** [classes/javax/activation/MimeType.class] Error 255
error: Bad exit status from /var/tmp/rpm-tmp.w9qm7J (%build)
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.w9qm7J (%build)
Child returncode was: 1

Comment 3 Bug Zapper 2008-11-26 03:10:09 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Stepan Kasal 2009-01-12 15:58:24 UTC
The patch is now present in the CVS, both in the Fedora 10 and rawhide branch.

The package has not been rebuilt since that (see FTBFS bug #479701), but the latest sucessful build in koji predates bug #461347, so we can happily close this bug.


Note You need to log in before you can comment on or make changes to this bug.